/* Copyright (c) 2007 by IBM Corporation */
dojo.provide("zero.form.widget.field.properties.DateRangePropertyHandlerMixin");

dojo.provide("zero.form.widget.field.properties.RangePropertyHandlerMixin");

dojo.declare(
    "zero.form.widget.field.properties.DateRangePropertyHandlerMixin", 
	zero.form.widget.field.properties.RangePropertyHandlerMixin,
    {
		_getWidgetMax: function()
		{
			return this._convertYyyyMmDdToDate(this.widget.maxValue);
		},
		
		_getWidgetMin: function()
		{
			return this._convertYyyyMmDdToDate(this.widget.minValue);
		},

		/**
		 * Converts the given string in format yyyy-mm-dd to Date object and returns it
		 * if the given string is empty or invalid the empty string is returned
		 * @param {String} pDateStr the string to convert to Date
		 * @return {Date/String} the date
		 */		
		_convertYyyyMmDdToDate: function(pDateStr)
		{
			if (pDateStr !== undefined && pDateStr !== "")
			{
				// parse the date in format yyyy-mm-dd
				var dateParts = pDateStr.split("-");
	        	if (dateParts.length == 3)
	        	{
	            	var result = new Date();
                	result.setFullYear(dateParts[0], dateParts[1] - 1, dateParts[2]);
                	return result;
	        	}
			}

			return "";
		}
    }
);
